<bugID>1194707<Summary>Remove the docshell param from TimelineMarker constructors</Summary><Description>This param is only used to get the current time, but the changes done in bug 1050498 allow the time itself to be passed in specifically. Furthermore, having a docshell as a mandatory param in the base marker class is nonsensical considering our move towards non-docshell dependent markers.</Description></bugID>